<template>
  <section id="menu" class="flex flex-wrap place-content-end">
    <div
      v-for="menu in data"
      :key="menu.name"
      :id="menu.name"
      class="flex text-right mx-4"
    >
      <div class="my-2">
        <nuxt-link
          :to="menu.path"
          :class="`${
            menu.cta
              ? `block px-4 py-2 text-primary hover:bg-primary border-2 border-secondary rounded-md hover:text-white transition duration-500`
              : `block px-4 py-2 text-primary hover:bg-primary hover:text-white hover:border-2 hover:border-primary rounded-md transition duration-500`
          } `"
        >
          <p>{{ menu.name }}</p>
        </nuxt-link>
      </div>
    </div>
  </section>
</template>
<script>
export default {
  props: ['data'],
}
</script>
